# Get Cabinet Information List - GetRackListV2

## Overview

Get Cabinet Information List






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetRackListV2`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.netlake.cn/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled, it defaults to the default project. Sub-accounts must fill it in. Please refer to [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **Limit** | int | Return data length, default value 20 |No|
| **Offset** | int | List starting position offset, default value 0 |No|
| **RackNum** | string | Cabinet Number |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **RackList** | array[[*RackList*](#racklist)] | Cabinet Information List |**Yes**|
| **TotalCount** | int | Total Count |**Yes**|

#### Data Model


#### RackList

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **CompanyId** | int | Company ID |**Yes**|
| **Id** | string | Id |**Yes**|
| **LogicalName** | string | Logical Data Center Name |**Yes**|
| **Number** | string | Cabinet Number |**Yes**|
| **OrganizationId** | int | Project Id |**Yes**|
| **PhysicalName** | string | Name |**Yes**|
| **Status** | int | Status |**Yes**|
| **CompanyName** | string | Company Name |No|
| **PhysicalNameCN** | string | Chinese Name |No|
| **PowerOnTime** | int | Start of Billing Time |No|
| **ShortId** | string | Short Resource ID |No|
| **ZoneCn** | string | Availability Zone |No|
| **BookPayTimes** | int | Reserved Billing Time |No|
| **Manager** | string | Account Manager |No|

## Example

### Request Example
    
```
https://api.netlake.cn/?Action=GetRackListV2
&Region=cn-zj
&Zone=cn-zj-01
&Limit=9
&Offset=5
&CompanyId=2
&RackNum=VJEROmhJ
&Region=SBEZzmjc
&Zone=pGcCNljq
&ProjectId=aeYhrSuw
```

### Response Example
    
```json
{
  "Action": "GetRackListV2Response",
  "RackList": [
    {
      "BookPayTimes": 1,
      "CompanyId": 9,
      "CompanyName": "smpiGjaO",
      "Id": "BuTZhQYe",
      "LogicalName": "POVwikve",
      "Manager": "RyGhnEfI",
      "Number": "nTWOsCTe",
      "OrganizationId": 4,
      "PhysicalName": "HSEPJxfk",
      "PhysicalNameCN": "NlSkyavG",
      "PowerOnTime": 7,
      "ShortId": "aMVnDvut",
      "Status": 7,
      "ZoneCn": "ZZMsngyy"
    }
  ],
  "RetCode": 0,
  "TotalCount": 6
}
```





